Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2050169 - Review Request: optee_client - OP-TEE Client API and supplicant
Summary: Review Request: optee_client - OP-TEE Client API and supplicant
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Whalen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker IoT
TreeView+ depends on / blocked
 
Reported: 2022-02-03 12:03 UTC by Peter Robinson
Modified: 2023-04-28 02:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-28 02:35:27 UTC
Type: Bug
Embargoed:
pwhalen: fedora-review+


Attachments (Terms of Use)

Description Peter Robinson 2022-02-03 12:03:36 UTC
SPEC: https://pbrobinson.fedorapeople.org/optee_client.spec
SRPM: https://pbrobinson.fedorapeople.org/optee_client-3.16.0-1.fc35.src.rpm

Description:
OP-TEE is an open source Trusted Execution Enviroment (TEE) implementing the
Arm TrustZone technology.

The optee client provides the Linux userspace client APIs and supplicant for
communicating with OPTEE in the Arm TrustZone TEE.

FAS: pbrobinson

koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=82332100

Comment 1 Package Review 2023-03-22 00:45:24 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time, but it seems
that the review is still being working out by you. If this is right, please
respond to this comment clearing the NEEDINFO flag and try to reach out the
submitter to proceed with the review.

If you're not interested in reviewing this ticket anymore, please clear the
fedora-review flag and reset the assignee, so that a new reviewer can take
this ticket.

Without any reply, this request will shortly be resetted.

Comment 2 Paul Whalen 2023-04-18 13:51:07 UTC
Looks good, approved. Review posted below:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: optee_client-3.16.0-1.fc39.aarch64.rpm
          optee_client-devel-3.16.0-1.fc39.aarch64.rpm
          optee_client-debuginfo-3.16.0-1.fc39.aarch64.rpm
          optee_client-debugsource-3.16.0-1.fc39.aarch64.rpm
          optee_client-3.16.0-1.fc39.src.rpm
=================================================================== rpmlint session starts ===================================================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmp02g9tmrg')]
checks: 31, packages: 5

optee_client.aarch64: W: no-manual-page-for-binary tee-supplicant
optee_client.aarch64: W: no-documentation
optee_client-devel.aarch64: W: no-documentation
optee_client-devel.aarch64: W: description-shorter-than-summary
==================================== 5 packages and 0 specfiles checked; 0 errors, 4 warnings, 0 badness; has taken 2.0 s ====================================




Rpmlint (debuginfo)
-------------------
Checking: optee_client-debuginfo-3.16.0-1.fc39.aarch64.rpm
=================================================================== rpmlint session starts ===================================================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpi5d0nr20')]
checks: 31, packages: 1

==================================== 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.8 s ====================================





Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 4

optee_client.aarch64: W: no-manual-page-for-binary tee-supplicant
optee_client.aarch64: W: no-documentation
optee_client-devel.aarch64: W: no-documentation
optee_client-devel.aarch64: W: description-shorter-than-summary
 4 packages and 0 specfiles checked; 0 errors, 4 warnings, 0 badness; has taken 4.0 s 



Source checksums
----------------
https://github.com/OP-TEE/optee_client/archive/3.16.0/optee_client-3.16.0.tar.gz :
  CHECKSUM(SHA256) this package     : cba92bedc9f8c39c19e50a22259066eaad5ceb248308edee27e221f11f5d8064
  CHECKSUM(SHA256) upstream package : cba92bedc9f8c39c19e50a22259066eaad5ceb248308edee27e221f11f5d8064


Requires
--------
optee_client (rpmlib, GLIBC filtered):
    glibc
    ld-linux-aarch64.so.1()(64bit)
    libc.so.6()(64bit)
    libteec.so.1()(64bit)
    rtld(GNU_HASH)

optee_client-devel (rpmlib, GLIBC filtered):
    libckteec.so.0()(64bit)
    libseteec.so.0()(64bit)
    libteec.so.1()(64bit)
    optee_client(aarch-64)

optee_client-debuginfo (rpmlib, GLIBC filtered):

optee_client-debugsource (rpmlib, GLIBC filtered):



Provides
--------
optee_client:
    libckteec.so.0()(64bit)
    libseteec.so.0()(64bit)
    libteec.so.1()(64bit)
    optee_client
    optee_client(aarch-64)

optee_client-devel:
    optee_client-devel
    optee_client-devel(aarch-64)

optee_client-debuginfo:
    debuginfo(build-id)
    libckteec.so.0.1.0-3.16.0-1.fc39.aarch64.debug()(64bit)
    libseteec.so.0.1.0-3.16.0-1.fc39.aarch64.debug()(64bit)
    libteec.so.1.0.0-3.16.0-1.fc39.aarch64.debug()(64bit)
    optee_client-debuginfo
    optee_client-debuginfo(aarch-64)

optee_client-debugsource:
    optee_client-debugsource
    optee_client-debugsource(aarch-64)



Generated by fedora-review 0.9.0 (6761b6c) last change: 2022-08-23
Command line :/usr/bin/fedora-review -b 2050169
Buildroot used: fedora-rawhide-aarch64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Haskell, fonts, PHP, Java, Ocaml, R, SugarActivity, Python, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Fedora Admin user for bugzilla script actions 2023-04-18 13:54:45 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/optee_client

Comment 4 Fedora Update System 2023-04-19 07:25:42 UTC
FEDORA-2023-da39836b52 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-da39836b52

Comment 5 Fedora Update System 2023-04-20 04:29:33 UTC
FEDORA-2023-da39836b52 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-da39836b52 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-da39836b52

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-04-28 02:35:27 UTC
FEDORA-2023-da39836b52 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.